MONGOC_APM_SET_SERVER_HEARTBEAT_SUCCEEDED_CB(3)

NAME
mongoc_apm_set_server_heartbeat_succeeded_cb - mongoc_apm_set_server_heartbeat_succeeded_cb()

SYNOPSIS

typedef void (*mongoc_apm_server_heartbeat_succeeded_cb_t) (
   const mongoc_apm_server_heartbeat_succeeded_t *event);
void
mongoc_apm_set_server_heartbeat_succeeded_cb (mongoc_apm_callbacks_t *callbacks,
                                              mongoc_apm_server_heartbeat_succeeded_cb_t cb);

Receive an event notification whenever the driver completes an "isMaster" command to check the status of a server.

PARAMETERS

•   callbacks: A mongoc_apm_callbacks_t.

•   cb: A function to call with a mongoc_apm_server_heartbeat_succeeded_t whenever the driver completes an "isMaster" command to check the status of a server.

SEE ALSO

Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc